
<h1 mat-dialog-title>Role name: {{data.data.name}}</h1>
<div mat-dialog-content>
    <div *ngIf="!data.edit">
        <h2>Permissions:</h2>
        <mat-chip-list>
            <mat-chip *ngFor="let permission of data.data.permissions">
                {{permission.permission}}
            </mat-chip>
        </mat-chip-list>
    </div>
    <div *ngIf="data.edit" style="width: 100%;">
        <mat-form-field class="example-form-field">
            <mat-label>Role name</mat-label>
            <input matInput type="text" [(ngModel)]="roleName" placeholder="Update role name...">
        </mat-form-field>

        <mat-form-field class="example-chip-list">
            <mat-label>Role permissions</mat-label>
            <mat-chip-list #chipList aria-label="Permission selection">
                <mat-chip *ngFor="let permission of permissions" [selectable]="selectable" [removable]="removable"
                    (removed)="remove(permission)">
                    {{permission}}
                    <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                </mat-chip>
                <input placeholder="New permission..." #permissionInput [formControl]="permissionForm" [matAutocomplete]="auto"
                    [matChipInputFor]="chipList" [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                    (matChipInputTokenEnd)="add($event)">
            </mat-chip-list>
            <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                <mat-option *ngFor="let permission of filteredPermissions | async" [value]="permission">
                    {{permission}}
                </mat-option>
            </mat-autocomplete>
        </mat-form-field>

        <mat-dialog-actions>
            <div>
                <button (click)="updateRole()" mat-raised-button color="primary" [disabled]="!roleName">Update Role</button>
            </div>
        </mat-dialog-actions>
    </div>
</div>